Get block by date
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/dateToBlock \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/dateToBlock"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/dateToBlock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date": "2020-01-01T00:00:00+00:00",
"block": 9193266,
"timestamp": 1577836811,
"block_timestamp": "2019-12-31T23:59:45.000Z",
"hash": "0x9b559aef7ea858608c2e554246fe4a24287e7aeeb976848df2b9a2531f4b9171",
"parent_hash": "0x011d1fc45839de975cc55d758943f9f1d204f80a90eb631f3bf064b80d53e045"
}Blockchain API
Block by Date
Find the closest block to a specific date on a blockchain.
GET
/
dateToBlock
Get block by date
Authorizations
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
Unix date in milliseconds or a datestring (format in seconds or datestring accepted by momentjs)
Response
200 - application/json
Returns the block number and corresponding date and timestamp
The date of the block
Example:
"2020-01-01T00:00:00+00:00"
The block number
Example:
9193266
The timestamp of the block
Example:
1577836811
The timestamp of the block
Example:
"2019-12-31T23:59:45.000Z"
The block hash
Example:
"0x9b559aef7ea858608c2e554246fe4a24287e7aeeb976848df2b9a2531f4b9171"
The block hash of the parent block
Example:
"0x011d1fc45839de975cc55d758943f9f1d204f80a90eb631f3bf064b80d53e045"

